# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2017-11-20 09:40
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0011_auto_20171120_0432'),
    ]

    operations = [
        migrations.CreateModel(
            name='Pond',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='Nombre')),
            ],
            options={
                'verbose_name': 'Estanque',
            },
        ),
        migrations.RemoveField(
            model_name='device',
            name='pond_identifier',
        ),
        migrations.AddField(
            model_name='device',
            name='pond',
            field=models.ForeignKey(null=True, on_delete=django.db.models.deletion.CASCADE, to='core.Pond', verbose_name='Estanque'),
        ),
    ]
